ru.bitel.common.client

## Class LookAndFeelUtils.LookAndFeelTheme

- java.lang.Object
- - ru.bitel.common.client.LookAndFeelUtils.LookAndFeelTheme

- Enclosing class:
    LookAndFeelUtils

      public static class LookAndFeelUtils.LookAndFeelTheme
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Class<?>` | `themeClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LookAndFeelTheme(java.lang.Class<? extends javax.swing.LookAndFeel> lafClass, java.lang.Class<?> themeClass, java.lang.String lafName, java.lang.String themeName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.Class<? extends javax.swing.LookAndFeel>` | `getLafClass()`
    `java.lang.String` | `getLafName()`
    `java.lang.Class<?>` | `getThemeClass()`
    `protected java.lang.Object` | `getThemeInstance()`
    `java.lang.String` | `getThemeName()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### themeClass

          protected java.lang.Class<?> themeClass

  - ### Constructor Detail

    - #### LookAndFeelTheme

          public LookAndFeelTheme(java.lang.Class<? extends javax.swing.LookAndFeel> lafClass,
                                  java.lang.Class<?> themeClass,
                                  java.lang.String lafName,
                                  java.lang.String themeName)

  - ### Method Detail

    - #### getLafClass

          public java.lang.Class<? extends javax.swing.LookAndFeel> getLafClass()

    - #### getLafName

          public java.lang.String getLafName()

    - #### getThemeClass

          public java.lang.Class<?> getThemeClass()

    - #### getThemeName

          public java.lang.String getThemeName()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getThemeInstance

          protected java.lang.Object getThemeInstance()
                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`